| Home | Libraries | People | FAQ | More

## Struct second

boost::xpressive::op::second

## Synopsis

    // In header: <boost/xpressive/regex_actions.hpp>

    struct second {
      // member classes/structs/unions
      template<typename Sig>
      struct result {
      };
      template<typename This, typename Pair>
      struct result<This(Pair)> {
        // types
        typedef remove_reference< Pair >::type::second_type type;
      };

      // public member functions
      template<typename Pair> Pair::second_type operator()(Pair const &) const;
    };

## Description

### `second` public member functions

1.     template<typename Pair> Pair::second_type operator()(Pair const & p) const;